    Photoabsorption edge model.

edge

This model can be used when the independent axis is in energy or wavelength space.

>>> create_model_component("edge", "mdl")
>>> print(mdl)

Create a component of the edge model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.space thawed 0 0 1 0 - energy | 1 - wave mdl.thresh thawed 1 0 3.40282e+38 mdl.abs thawed 1 0 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
space
Switch to select whether the independent axis is energy or wavelength. This parameter is not fit ( alwaysfrozen is set), and should be set to either 0, when the independent axis is energy with units of keV, or 1 when the axis is wavelength with units of Angstrom.
thresh
The edge position (in energy or wavelength units matching the data grid).
abs
The absorption coefficient.

Notes

A phenomenological photoabsorption edge model as a function of energy:

f(x) = exp(-abs * (x / thresh)^-3) if x >= thresh

= 1.0 otherwise

or, as a function of wavelength:

f(x) = exp(-abs * (x / thresh)^3) if x <= thresh

= 1.0 otherwise

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023